{% extends 'super-admin-pannel.html' %}

{% block additionnalHead %}
<link rel="stylesheet" href="{{url_for('static', filename='css/admin-pannel-users.css')}}">
<link rel="stylesheet" href="{{url_for('static', filename='css/super-admin-users.css')}}">
{% endblock %}

{% block tableTitle %}
<label>{{usercount}} Usagers</label>

<button class="add-btn" id="export-users">Exporter les données utilisateurs</button>
<button class="add-btn" id="add-admin-btn">Ajout d'un compte de direction</button>
<button class="add-btn" id="add-user-btn">Ajouter</button>
{% endblock %}

{% block tableHeader %}
<label>Nom</label>
<label>Prénom</label>
<label>Profil</label>
{% endblock %}

{% block tableBody %}
{% if usercount > 0 %}

{% else %}
<label>Aucun utilisateur enregistré</label>
{% endif %}
{% endblock %}

{% block underTable %}
<dialog class="user-dialog expand" id="expand-user-dialog">
    <form method="dialog">
        <h2>Profil renseigné par <span id="user-name"></span></h2>

        <div class="content">
            <label class="title">Nom</label>
            <label id="lastname"></label>
            <label class="title">Prénom</label>
            <label id="firstname"></label>
            <label class="title">Etablisssement</label>
            <label id="entity"></label>
            <label class="title">Type de profil</label>
            <label id="profile"></label>
            <label class="title">Adresse mail</label>
            <label id="mail"></label>
            <label class="title">Numéro de téléphone</label>
            <label id="tel"></label>
            <label class="title">Plaques d'immatriculation</label>
            <div id="immat"></div>
        </div>

        <button class="close-user-dialog" type="reset" value="cancel">Fermer</button>
    </form>
</dialog>

<dialog class="user-dialog expand" id="edit-user-dialog">
    <form action="{{url_for('superEditUser')}}" method="dialog">
        <h2>Profil renseigné par <span id="user-name"></span></h2>

        <div class="content">
            <label for="lastname" class="title">Nom</label>
            <input type="text" name="lastname" id="lastname"></input>

            <label for="firstname" class="title">Prénom</label>
            <input type="text" name="firstname" id="firstname"></input>
            
            <label for="entity" class="title">Etablissement</label>
            <select name="entity" id="edit-entity-selector">
                {% for e in entities %}
                <option value="{{e[0]}}">{{e[1]}}</option>
                {% endfor %}
            </select>

            <label for="profile" class="title">Type de profil</label>
            <select name="profile" id="edit-profile-selector">
            </select>
            
            <label for="mail" class="title">Adresse mail</label>
            <input type="email" name="mail" id="mail"></input>
            
            <label for="tel" class="title">Numéro de téléphone</label>
            <input type="text" name="tel" id="tel"></input>
            
            <label class="title">Plaques d'immatriculation</label>
            <div id="immat"></div>
        </div>

        <div class="confirm-zone">
            <input type="checkbox" name="valid-cb" id="edit-input-valid-checkbox">
            <label for="edit-input-valid-checkbox">Je confirme les modifications apportées à l'utilisateur</label>
        </div>

        <div class="submit-zone">
            <button class="close-user-dialog" type="reset" value="cancel">Annuler</button>
            <button class="close-user-dialog danger" id="delete-user" type="button" value="delete" disabled="disabled">Supprimer l'utilisateur</button>
            <button class="close-user-dialog danger" id="submit-edit-user" type="submit" disabled="disabled">Modifier</button>
        </div>
    </form>
</dialog>

<dialog class="user-dialog dialog-user-result" id="edit-user-success-dialog">
    <form action="{{url_for('superAdminPannelUsers')}}" method="get">
        <h3>Modifications effectuées avec succès</h3>

        <button class="dialog close-user-dialog cancel" type="submit">Ok</button>
    </form>
</dialog>


<dialog class="user-dialog dialog-user-result" id="edit-user-failed-dialog">
    <form method="dialog">
        <h3>Echec de la modification de l'utilisateur pour une raison inconnue</h3>

        <button class="dialog close-user-dialog cancel" type="submit">Ok</button>
    </form>
</dialog>


<dialog class="user-dialog dialog-user-result" id="delete-user-success-dialog">
    <form action="{{url_for('superAdminPannelUsers')}}" method="get">
        <h3>Suppression effectué avec succès</h3>

        <button class="dialog close-user-dialog cancel" type="submit">Ok</button>
    </form>
</dialog>

<dialog class="user-dialog dialog-user-result" id="delete-user-failed-dialog">
    <form method="dialog">
        <h3>Echec de la suppression de l'utilisateur.</h3>
        <h4>L'utilisateur a potentiellement des réservations en cours.</h4>

        <button class="dialog close-user-dialog cancel" type="submit">Ok</button>
    </form>
</dialog>

<dialog class="user-dialog expand" id="add-user-dialog">
    <form action="{{url_for('superAdminSubmitAccount')}}" method="dialog">
        <h2>Création d'un nouvel utilisateur</h2>

        <div class="content">
            <label for="lname" class="title">Nom</label>
            <input type="text" name="lname" id="lastname" placeholder="Nom de l'utilisateur" required>

            <label for="fname" class="title">Prénom</label>
            <input type="text" name="fname" id="firstname" placeholder="Prénom de l'utilisateur" required>
            
            <label for="login" class="title">Identifiant</label>
            <input type="text" name="login" id="login" placeholder="Identifiant de l'utilisateur" required>

            <label for="pswd" class="title">Mot de passe</label>
            <input type="password" name="pswd" id="pswd" placeholder="Mot de passe unique" required>

            <label for="entity" class="title">Etablissement</label>
            <select name="entity" id="add-entity-selector">
                {% for e in entities %}
                <option value="{{e[0]}}">{{e[1]}}</option>
                {% endfor %}
            </select>

            <label for="profiles" class="title">Type de profil</label>
            <select name="profiles" id="add-profile-selector">

            </select>
            
            <label for="mail" class="title">Adresse mail</label>
            <input type="email" name="mail" id="mail" placeholder="Adresse mail" required>
            
            <label for="phone" class="title">Numéro de téléphone</label>
            <input type="text" name="phone" id="tel" placeholder="Numéro de téléphone">
            
            <label class="title">Plaques d'immatriculation</label>
            <input type="text" name="plate" id="plate" placeholder="Plaque de départ (facultatif)">
        </div>

        <div class="confirm-zone">
            <input type="checkbox" name="valid-cb" id="add-input-valid-checkbox">
            <label for="add-input-valid-checkbox">Je confirme la création de l'utilisateur</label>
        </div>

        <div class="submit-zone">
            <button class="close-user-dialog" type="reset" value="cancel">Annuler</button>
            <button class="close-user-dialog danger" id="submit-add-user" type="submit" disabled="disabled">Ajouter</button>
        </div>
    </form>
</dialog>

<dialog class="user-dialog dialog-user-result" id="add-user-full-success-dialog">
    <form action="{{url_for('superAdminPannelUsers')}}" method="get">
        <h3>Création de l'utilisateur effectuée avec succès</h3>

        <button class="close-user-dialog" type="submit">Ok</button>
    </form>
</dialog>

<dialog class="user-dialog dialog-user-result" id="add-user-failed-dialog">
    <form method="dialog">
        <h3>Le compte utilisateur n'a pas pu être créé</h3>

        <h4>La création a échouée pour la raison suivante: <span id="failed-reason"></span></h4>

        <button class="close-user-dialog" type="submit">Ok</button>
    </form>
</dialog>

<dialog class="user-dialog dialog-user-result" id="add-user-failed-unknown-dialog">
    <form action="{{url_for('superAdminPannelUsers')}}" method="get">
        <h3>Le compte utilisateur n'a pas pu être créé</h3>

        <h4>La création a échouée pour une raison inconnue</h4>

        <button class="close-user-dialog" type="submit">Ok</button>
    </form>
</dialog>

<dialog class="user-dialog expand" id="add-admin-dialog">
    <form action="{{url_for('superAdminSubmitAdminAccount')}}" method="dialog">
        <h2>Création d'un compte de direction</h2>

        <div class="content">
            <label for="lname" class="title">Nom</label>
            <input type="text" name="lname" id="lastname" placeholder="Nom du compte" required>

            <label for="fname" class="title">Prénom</label>
            <input type="text" name="fname" id="firstname" placeholder="Prénom du compte" required>
            
            <label for="login" class="title">Identifiant</label>
            <input type="text" name="login" id="login" placeholder="Identifiant du compte" required>

            <label for="pswd" class="title">Mot de passe</label>
            <input type="password" name="pswd" id="pswd" placeholder="Mot de passe unique" required>

            <label for="entity" class="title">Etablissement</label>
            <select name="entity" id="add-admin-entity-selector">
                {% for e in entities %}
                <option value="{{e[0]}}">{{e[1]}}</option>
                {% endfor %}
            </select>

            <label for="profiles" class="title">Type de profil</label>
            <select name="profiles" id="add-admin-profile-selector">

            </select>
            
            <label for="mail" class="title">Adresse mail</label>
            <input type="email" name="mail" id="mail" placeholder="Adresse mail" required>
            
            <label for="phone" class="title">Numéro de téléphone</label>
            <input type="text" name="phone" id="tel" placeholder="Numéro de téléphone">
            
            <label class="title">Plaques d'immatriculation</label>
            <input type="text" name="plate" id="plate" placeholder="Plaque de départ (facultatif)">
        </div>

        <div class="confirm-zone">
            <input type="checkbox" name="valid-cb" id="add-admin-input-valid-checkbox">
            <label for="add-admin-input-valid-checkbox">Je confirme la création de l'utilisateur</label>
        </div>

        <div class="submit-zone">
            <button class="close-user-dialog" type="reset" value="cancel">Annuler</button>
            <button class="close-user-dialog danger" id="submit-add-admin" type="submit" disabled="disabled">Ajouter le compte de direction</button>
        </div>
    </form>
</dialog>

<dialog class="user-dialog dialog-user-result" id="add-admin-full-success-dialog">
    <form action="{{url_for('superAdminPannelUsers')}}" method="get">
        <h3>Création du compte de direction effectuée avec succès</h3>

        <button class="close-user-dialog" type="submit">Ok</button>
    </form>
</dialog>

<dialog class="user-dialog dialog-user-result" id="add-admin-failed-dialog">
    <form method="dialog">
        <h3>Le compte de direction n'a pas pu être créé</h3>

        <h4>La création a échouée pour la raison suivante: <span id="failed-reason"></span></h4>

        <button class="close-user-dialog" type="submit">Ok</button>
    </form>
</dialog>

<dialog class="user-dialog dialog-user-result" id="add-admin-failed-unknown-dialog">
    <form action="{{url_for('superAdminPannelUsers')}}" method="get">
        <h3>Le compte de direction n'a pas pu être créé</h3>

        <h4>La création a échouée pour une raison inconnue</h4>

        <button class="close-user-dialog" type="submit">Ok</button>
    </form>
</dialog>
{% endblock %}

{% block additionnalScript %}
<script src="{{url_for('static', filename='js/super-admin-general.js')}}"></script>
<script src="{{url_for('static', filename='js/super-admin-users.js')}}"></script>
<script src="{{url_for('static', filename='js/admin-pannel-search-users.js')}}"></script>
<script src="{{url_for('static', filename='js/super-admin-add-user.js')}}"></script>
<script src="{{url_for('static', filename='js/super-admin-add-admin.js')}}"></script>
{% endblock %}